<!--
building: string;
number: string;
street: string;
postcode: string;
city: string;
country: string;
-->

<div class="address-form" *ngIf="address">
  <mat-form-field>
    <mat-label>Country</mat-label>
    <input
      matInput
      type="text"
      name="country"
      placeholder="Enter a country"
      [(ngModel)]="address.country"
      [required]="required"
    />
  </mat-form-field>

  <mat-form-field>
    <mat-label>Postal Code</mat-label>
    <input
      matInput
      type="text"
      name="postcode"
      placeholder="Enter a postal code"
      [(ngModel)]="address.postcode"
      [required]="required"
    />
  </mat-form-field>

  <mat-form-field>
    <mat-label>City</mat-label>
    <input
      matInput
      type="text"
      name="city"
      placeholder="Enter a city"
      [(ngModel)]="address.city"
      [required]="required"
    />
  </mat-form-field>

  <mat-form-field>
    <mat-label>Street</mat-label>
    <input
      matInput
      type="text"
      name="street"
      placeholder="Enter a street"
      [(ngModel)]="address.street"
      [required]="required"
    />
  </mat-form-field>

  <mat-form-field>
    <mat-label>Number</mat-label>
    <input
      matInput
      type="text"
      name="number"
      placeholder="Enter a number"
      [(ngModel)]="address.number"
    />
  </mat-form-field>

  <mat-form-field>
    <mat-label>Building</mat-label>
    <input
      matInput
      type="text"
      name="building"
      placeholder="Enter a building"
      [(ngModel)]="address.building"
    />
  </mat-form-field>
</div>
